## Introduction

This folder contains files for running the MP simulation as presented
in the Supplemental Movie S4 in Bhatia et
al 2016 [1] with the
[tissue software](https://gitlab.com/slcu/teamhj/tissue), and its
repository contains information on how to install and run different
models. A short description is also given below.

## Running the MONOPTEROS signalling models

The following command runs a simulation of the MP/auxin model with
auxin internalization, and saves the result in the folder <tt>vtk</tt>:

'''
$TISSUE/bin/simulator with_auxin_internalization.model circle_20_zero.init solver.rk5
'''

To run a simulation of the MP/auxin model without auxin
internalization, run the following command

'''
$TISSUE/bin/simulator no_auxin_internalization.model circle_20_zero.init solver.rk5
'''

The output format is set to vtk format in <tt>solver.rk5</tt>, which
can be visualised using [paraview](https://paraview.org).

Note that the output will be in the <tt>vtk</tt> folder by
default, so to save both outputs, you need to move the data between
simulations or specify a flag for the simulator for changing output
(<tt>$TISSUE/bin/simulator -vtk_output folderName</tt>).

Note that the two models as specified in the <tt>*.model</tt> files
only differ by a single parameter value (including auxin
internalisation or not).

Note that you can run the models on any geometry, and here the
simulation is performed on a ring of cells as specified in
<tt>circle_20_zero.init</tt>.

## Contact

Main contact is henrik.jonsson@slcu.cam.ac.uk. The simulations have
been developed by Andre Larsson.

## Reference

[1] Bhatia, N., Bozorg, B., Larsson, A., Ohno, C., Jönsson, H., &
Heisler, M. G. (2016). Auxin Acts through MONOPTEROS to Regulate Plant
Cell Polarity and Pattern Phyllotaxis. Current Biology, 26(23),
3202–3208. http://doi.org/10.1016/j.cub.2016.09.044



## TISSUE SOFTWARE - OVERVIEW

[Tissue](https://gitlab.com/slcu/teamhj/tissue) is written in c++ and
is a software used to simulate biological
models in multicellular systems, where cell walls and cell wall
compartments are included. Several different reactions and mechanical
update rules are defined in the software.  Systems of ordinary
differential equations are used to simulate the dynamics of the
system.


## TISSUE SOFTWARE - DOWNLOADING AND COMPILING

The software tissue is available through download via gitlab from

https://gitlab.com/slcu/teamhj/tissue

Once downloaded, the software can be compiled with <tt>make</tt>. In the
<tt>$TISSUE/src/</tt> directory of your download (where
<tt>$TISSUE</tt> is the main directory of your download), just type

'''
$ make
'''

and the software should compile provided that all dependencies are
fulfilled (see tissue documentation for details).

## TISSUE DOCUMENTATION

Documentation for tissue is provided in the svn and generated by
doxygen. To generate the documentation with "make", go to the folder
<tt>$TISSUE/doc/</tt> and enter

'''
$ make
'''

This should generate both pdf and html versions of the
documentation. The index page of the documention (HTML) will appear in
<tt>$TISSUE/doc/html/index.html</tt>

## RUNNING A TISSUE SIMULATION

Depending on the specified output format, the result from a tissue
simulation is saved either in the folder "vtk/" of your current
working directory and/or sent to the standard output of your
machine. Before starting a simulation, please create a folder "vtk/"
in the folder from which the simulation is run.

A tissue simulation can be run by entering the following in the
terminal

'''
$ tisSim model_file init_file solver_file > data_file
'''

In the above line, the following files are used

tisSim: link to, or filename of simulator binary of tissue, located in
<tt>$TISSUE/bin/simulator</tt>

model_file: filename of a tissue model file specifying the model 
including reactions and parameters

init_file: filename of the tissue init file with the initial 
conditions, including both the geometry and initial values

solver_file: file specifying which numerical solver to use for the 
simulation.

data_file: file in which to save simulation result, used in some (not 
all) output formats
